System.ServiceModel 4.0.0.0 System.ServiceModel.Dispatcher.MessageFilter System.Runtime.Serialization.DataContract

This class provides a filter that never allows a message through. Specifically, the methods returns false for every message that is not null.

Represents a query that is never satisfied by a message that it tests.

- Constructor
  4.0.0.0

  This constructor can be used to create distinct instances of .

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.Boolean ``

  The difference between the two overloads of the method is that one takes the parameter and buffers the entire contents of a message (including its body) into memory, while the other takes the parameter and does not buffer the body.

  This method returns false for every message that is not null.

  Returns false.

  The object to test.
- Method
  4.0.0.0
  System.Boolean `` To be added.

  This method takes the parameter, which buffers the entire contents of a message (including its body) into memory, and allows the body to be inspected.

  This method returns false for every message that is not null.

  Returns false.